Subject: Ticket Assigned - 9570353822/ POD
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 22 May 2022 07:12:22 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9570353822/ POD Dima                    Hello           11:01 AM, 22nd May                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:01 AM, 22nd May                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:01 AM, 22nd May                     Dima                    Order #9570353822           11:01 AM, 22nd May                     Dima                    The order status says it has been delivered but I didn't receive my order           11:01 AM, 22nd May                   Alhamzi                   Hi Dima, thank you for contacting us. This's Alhamzi We would be happy to help you.           11:02 AM, 22nd May                   Alhamzi                   Please wait while we check the details.            11:02 AM, 22nd May                   Alhamzi                   We have checked and we would like to inform you that our courier team contacted on (+971567029542) and delivered the order on (5/21/22 8:18 PM).  We request you to please check with your security, family members and neighbours regarding your order.           11:03 AM, 22nd May                   Alhamzi                   Do you have any other inquiries that we can help with?           11:03 AM, 22nd May                     Dima                    I didn't receive the orders neither did anyone else           11:04 AM, 22nd May                     Dima                    Where did they deliver it and to whom?           11:04 AM, 22nd May                     Dima                    How do they deliver something without confirming the receiver?           11:04 AM, 22nd May                     Dima                    I waited all day no one came and no one answered when I was calling           11:05 AM, 22nd May                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             11:06 AM, 22nd May                   Alhamzi                   Do you have any other inquiries that we can help with?           11:06 AM, 22nd May                     Dima                    No thank you           11:07 AM, 22nd May                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           11:11 AM, 22nd May                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4387218